/*---------------------------------------------------------------------------------------------------
new
*/

/*elements*/
button{ cursor:pointer; }

/*general classes*/
.cursor_pointer{ cursor:pointer; }

/*login page*/
body.login{ overflow:hidden; }
.login-wrapper .bg-caption{ max-width:500px; width:100%; }
.login-wrapper .login_footer{ font-size:12px; font-weight:bold; left:0; text-align:center; width:100%; }
.login-wrapper .bg-pic{ background-position:center; background-size:cover; width:100%; width:calc(100% - 490px); }

/*header & sidebar*/
.header .brand img{ display:block; height:36px; width:auto; }
.horizontal-app-menu .header{ border-bottom:1px solid #eaecee; }
.horizontal-app-menu .header .header-inner .brand.inline{ border-color:#eaecee; padding-left:15px; }
.horizontal-app-menu .menu-bar > ul > li > a{ line-height:36px; padding:0 15px; }
.dropdown-menu > li, .dropdown-menu > .dropdown-item { padding:9px; }
.content{ margin:0 auto; max-width:1440px; }

/*logo size correction*/


.overlay[data-pages=search] .overlay-content{ margin-top:13px; }
.overlay .overlay-brand{ margin-left:0; }

/*Datatable Overrides*/
table.dataTable thead .sorting::before, 
table.dataTable thead .sorting_asc::before, 
table.dataTable thead .sorting_desc::before, 
table.dataTable thead .sorting_asc_disabled::before, 
table.dataTable thead .sorting_desc_disabled::before{ display:none; }
div.dataTables_wrapper div.dataTables_paginate{ margin:10px !important; }
div.dataTables_wrapper div.dataTables_info{ margin:10px 0 20px !important; padding:0 !important; }
.dataTables_wrapper .dataTables_paginate ul > li.active > a{ color:#fff !important; }

/*fontawesome pro overwrite*/
.page-sidebar .sidebar-menu .menu-items > li > a > .arrow:before,
.page-sidebar .sidebar-menu .menu-items > li > ul.sub-menu li > a > .arrow:before,
.page-sidebar .sidebar-menu .menu-items > li > ul.sub-menu li > a > .arrow.open:before,
.secondary-sidebar ul li a > .arrow:before,
.horizontal-app-menu .menu-bar ul li a .arrow:before,
.breadcrumb > .breadcrumb-item + .breadcrumb-item:before,
blockquote:before,
blockquote.pull-right:before,
.btn-animated.fa:before,
.card-group .card-header .card-title > a:after,
.checkbox input[type=checkbox]:checked + label::after,
.checkbox.right input[type=checkbox]:checked + label::after,
.input-group-addon .arrow:before,
.input-group-addon:last-child .arrow:before,
.datepicker thead tr .next:before,
.datepicker thead tr .prev:before,
div.cs-skin-slide > span:after,
div.cs-skin-slide.cs-active > span:after,
.table.table-condensed.table-detailed > tbody > tr > td:first-child:before{ font-family:"Font Awesome 5 Pro"; } 

/*eof custom*/

/*---------------------------------------------------------------------------------------------------
eof new
*/
.clear{ clear:both; }
.hide_it, .h{ display:none; }

/*----------- CUSTOM BUTTONS AND INPUTS----------------*/

/*--------------- IMAGE UPLOAD -------------*/
.img_container{ overflow:hidden; }
.img_container .img_container_inner{ position:relative; }
.img_container_section{ max-width:300px; overflow:hidden; }
.img_container_section .img_container_inner{ position:relative; }
.img_container.img_container_16_9 .img_container_inner{ padding:56.25% 0 0; }
.img_container.img_container_9_16 .img_container_inner{ padding:177.75% 0 0; }
.img_container.img_container_3_1 .img_container_inner{ padding:33.33% 0 0; }
.img_container.img_container_7_2 .img_container_inner{ padding:28.5% 0 0; }
.img_container.img_container_9_11 .img_container_inner{ padding:123% 0 0; }
.img_container.img_container_160_55 .img_container_inner{ padding:34.375% 0 0; }
.img_container_section.img_container_160_55 .img_container_inner{ padding:14.375% 0 0; }
.img_container.img_container_14_5 .img_container_inner{ padding:35.714% 0 0; }
.img_container.img_container_4_3 .img_container_inner{ padding:75% 0 0; }
.img_container.img_container_1_1 .img_container_inner{ padding:100% 0 0; }
.img_container.img_container_2_2 .img_container_inner{ padding:100% 0 0; }
.img_container.img_container_24_7 .img_container_inner{ padding:29.16% 0 0; }
.img_container.img_container_representative .img_container_inner{ height:218px; width:218px; }
.img_container .img_container_inner img{ height:100%; left:0; position:absolute; top:0; width:100%; }
.img_container.img_container_representative .img_container_inner img{ height:218px; left:0; position:absolute; top:0; width:218px; }
.img_container.img_container_representative .delete_image_hover{ background-color:rgba(0,0,0,0.5); height:218px; left:0; opacity:0; position:absolute; top:0; transition:visibility 0s, opacity 0.2s linear; visibility:hidden; width:218px; }
.img_container .delete_image_hover{ background-color:rgba(0,0,0,0.5); height:100%; left:0; opacity:0; position:absolute; top:0; transition:visibility 0s, opacity 0.2s linear; visibility:hidden; width:100%; }
.img_container .delete_image_hover i{ color:#DC3F41; left:50%; margin-left:-11px; margin-top:-14px; position:absolute; top:50%; }
.img_container:hover .delete_image_hover{ opacity:1; visibility:visible; }
.img_container:hover .delete_image_hover i:hover{ cursor:pointer; }
.img_container_section .delete_image_hover{ background-color:rgba(0,0,0,0.5); height:71%; left:0; opacity:0; position:absolute; top:43px; transition:visibility 0s, opacity 0.2s linear; visibility:hidden; width:100%; }
.img_container_section .delete_image_hover i{ color:#DC3F41; left:50%; margin-left:-10px; margin-top:-20px; position:absolute; top:50%; }
.img_container_section:hover .delete_image_hover{ opacity:1; visibility:visible; }
.img_container_section:hover .delete_image_hover i:hover{ cursor:pointer; }

.image_container{ overflow:hidden; }
.image_container figure{ position:relative; }
.image_preview_container figure .delete_image_container{ background:rgba(255,255,255,.8); height:100%; left:0; opacity:0; position:absolute; top:0; transition:visibility 0s, opacity .2s linear; visibility:hidden; width:100%; }
.image_preview_container figure:hover .delete_image_container{ opacity:1; visibility:visible; }
.image_preview_container figure .button_container .btn{ height:40px; left:50%; margin-left:-20px; margin-top:-20px; padding:10px 0; position:absolute; top:50%; width:40px; }
.image_preview_container figure .button_container .btn.btn-xs{ height:30px; padding:5px 0; width:30px; }

/*Info messages*/
.info_message{ background:rgba(255,255,255,0.75); box-sizing:border-box; font-size:30px; height:100%; left:0; padding:100px; position:fixed; text-align:center; top:0; width:100%; z-index:3060; }
.info_message > a,
.info_message > span,
.info_message > strong{ display:block; line-height:normal; margin:0 auto; max-width:650px; text-align:left; }
.info_message > strong{ font-size:52px; line-height:normal; }
.info_message > a{ color:#000; display:block; font-size:22px; text-align:right; }
.info_message > a i,
.info_message > a span{ display:inline-block; font-size:20px; margin-left:10px; vertical-align:middle; }
.info_message > a span{ font-size:18px; margin-top:2px; }

.info_message.error{ background:rgba(249,234,234,0.75); color:#800; }
.info_message.success{ background:rgba(242,249,234,0.75); color:#2C7520; }

.info_message#page-loading span{ background-image:url("images/loading_main.gif"); background-repeat:no-repeat; background-size:cover; height:64px; left:50%; margin-left:-32px; margin-top:-32px; position:absolute; top:50%; width:64px; }
/*eof info messages*/

/*Upload Container*/
.upload_container .button_container{ text-align:center; }
.upload_container .button_container a{ color:#444; display:block; margin-top:10px; text-decoration:underline; }

#search_box{ display:none; text-align:center; }
#search_box .box-item{ border:1px solid #e1e1e1; cursor:pointer; display:inline-block; height:200px; margin:15px; text-align:center; width:200px; }
#search_box .box-item .box-image{ height:150px; margin:0 auto; width:200px; }
#search_box .box-item .box-title{ background-color:#fff; border-bottom:1px solid #e1e1e1; padding:15px 25px; }

.modal{ z-index:1051 !important; }
.modal .form-group-default-select2 label{ z-index:10001; }


/*Sections and Tools*/

textarea.form-control{ min-height:100px !important; }
.button_delete_object{ color:#aaa; display:block; line-height:40px; }

.editor_container label{ padding:0 12px; }

.language_container[data-is_default_language="true"]{ display:block !important; float:left; }
.language_container[data-is_default_language="false"]{ float:right; }

.modal-open .select2-drop-active{z-index:1000!important}
.modal-open .select2-container{z-index:1000!important}
.modal-open .select2-container.select2-container--open{z-index:10001!important}
.modal-open .datepicker.dropdown-menu{z-index:1000!important}
.modal-open .select2-drop-mask{z-index:1000!important}
.modal-open .cs-skin-slide.cs-active{z-index:1000!important}

@media screen and (min-width: 980px){
	.modal-dialog.modal-lg{ width:900px; }
}

/*Upload container*/
.upload_container .dropzone{ min-height:100px; }
.upload_container .dropzone.sliding{ min-height:0; }
.upload_container .dropzone .dz-preview, 
.upload_container .dropzone-previews .dz-preview{ margin:8px; }
.upload_container .dropzone.dz-clickable *{ cursor:pointer; }
.upload_container .dropzone .dz-remove{ display:none !important; }
.upload_container .dropzone .dz-filename{ line-height:90px; position:relative; }
.upload_container .dropzone .dz-filename span{ display:block; overflow:hidden; text-overflow:ellipsis; white-space:nowrap; }

.upload_container .cropper_container{ background:#eef1f2; border:1px solid rgba(0,0,0,0.03); border-radius:3px; box-sizing:border-box; display:none; overflow:hidden; padding:20px; }
.upload_container .cropper_container .cropper_wrapper{ max-height:300px; position:relative; }
.upload_container .cropper_container .cropper_control{ margin:20px 0 20px; }
.upload_container{ position:relative; }
/*EOF Upload Container*/


/*Lists */
.list{ list-style:none; margin:0; padding:0; position:relative; }
.list .list_item{ list-style:none; margin:0; padding:0; }
.list .list_item:after{ clear:both; content:""; display:block; }

/*Section list (sortable!)*/
.list.list_sections:empty:before{ background:#fafafa; color:#999; content:"You have not added any content yet! Please use the button below to add a section."; display:block; font-size:10px; padding:20px; text-align:center; }
.list.list_sections .list_item_section{
	  -webkit-touch-callout:none; /* iOS Safari */
		-webkit-user-select:none; /* Safari */
		 -khtml-user-select:none; /* Konqueror HTML */
		   -moz-user-select:none; /* Firefox */
			-ms-user-select:none; /* Internet Explorer/Edge */
				user-select:none; /* Non-prefixed version, currently
									  supported by Chrome and Opera */		
}
.list.list_sections .list_item_section:nth-child(n+2){ margin-top:5px; }
.list.list_sections .list_item_section label{ cursor:pointer; display:block; font-size:12px; line-height: 27px; margin:0; max-width:calc(100% - 50px); overflow:hidden; text-overflow:ellipsis; white-space:nowrap; }
.list.list_sections .list_item_section.ui-sortable-handle{ background:#fafafa; border:1px solid #efefef; cursor:pointer; padding:5px; }
.list.list_sections .list_item_section.ui-sortable-handle + .list.list_sections .list_item_section.ui-sortable-handle{ margin-top:5px; }
.list.list_sections .ui-sortable-placeholder{ background:#fefefe; min-height:40px; }
/*EOF Section List*/


/*Thumbnails and Images*/
.image_preview_container span{ display:block; margin-bottom:5px; }
.image_preview_container figure{ border:1px solid #dedede; box-sizing:border-box; display:block; }
.image_preview_container img{ display:block; height:auto; width:100%; }

/*Nestable*/
.dd3-content{ height:auto; padding-left:50px; }
.dd3-content .title_container{ padding-top:3px; }
.dd3-handle{ border:none; }
.dd3-handle:before{ content:"\f0c9"; font-family:"Font Awesome 5 Pro"; margin-top:5px; }
.dd{ max-width:100%; }
.dd-item > button{ color:#666; left:-5px; position:absolute; z-index:10; }
.dd-item.is_single > button{ display:none !important; }
.dd-item > button.dd-expand{ display:none; }
.dd-item > button.dd-collapse:before{ content:"\f078"; font-family:"Font Awesome 5 Pro"; }
.dd-item > button.dd-expand:before{ content:"\f054"; font-family:"Font Awesome 5 Pro"; }

@media screen and (max-width: 992px){
	.horizontal-app-menu .header .header-inner .brand.inline{ border:none; padding:0 0 0 20px; }
}

/*Modal wide*/
.modal_wide .modal-dialog{ max-width:900px !important; width:900px !important; }
.modal_wide .modal-content-wrapper{ width:100%; }
.modal_wide .modal-dialog .card{ margin-bottom:0 !important; }
.modal_wide .modal-dialog .card-body{ padding-bottom:0 !important; }
.modal_wide .modal-body{ width:900px; }

.modal_wide .upload_container.show{ margin-bottom:0; }
.modal_wide .upload_container.show .card-header{ display:none; }
.modal_wide .cropper-bg{ max-width:100% !important; }

